diff -r ac5cf7d3a0d2 src/http/ngx_http_header_filter_module.c
--- a/src/http/ngx_http_header_filter_module.c	Tue Jul 01 01:22:43 2008 +0400
+++ b/src/http/ngx_http_header_filter_module.c	Tue Jul 01 01:25:14 2008 +0400
@@ -347,9 +347,11 @@
         len += sizeof("Connection: closed" CRLF) - 1;
     }
 
+#if (NGX_HTTP_GZIP)
     if (r->gzip && clcf->gzip_vary) {
         len += sizeof("Vary: Accept-Encoding" CRLF) - 1;
     }
+#endif
 
     part = &r->headers_out.headers.part;
     header = part->elts;
@@ -520,10 +522,12 @@
                              sizeof("Connection: close" CRLF) - 1);
     }
 
+#if (NGX_HTTP_GZIP)
     if (r->gzip && clcf->gzip_vary) {
         b->last = ngx_cpymem(b->last, "Vary: Accept-Encoding" CRLF,
                              sizeof("Vary: Accept-Encoding" CRLF) - 1);
     }
+#endif
 
     part = &r->headers_out.headers.part;
     header = part->elts;
